### Hierarchy

- unknown
  - TxFeeRateInfo

## Index

### Constructors

- constructor

### Methods

- getCustomTxFeeRate
- getFeeServiceRate
- getLastFeeServiceRequestTs
- getMinFeeServiceRate
- getUseCustomTxFeeRate
- serializeBinary
- setCustomTxFeeRate
- setFeeServiceRate
- setLastFeeServiceRequestTs
- setMinFeeServiceRate
- setUseCustomTxFeeRate
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TxFeeRateInfo(): TxFeeRateInfo

- Inherited from jspb.Message.constructor

  #### Returns TxFeeRateInfo

## Methods

### getCustomTxFeeRate

- getCustomTxFeeRate(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2855

  #### Returns number

### getFeeServiceRate

- getFeeServiceRate(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2858

  #### Returns number

### getLastFeeServiceRequestTs

- getLastFeeServiceRequestTs(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2861

  #### Returns number

### getMinFeeServiceRate

- getMinFeeServiceRate(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2864

  #### Returns number

### getUseCustomTxFeeRate

- getUseCustomTxFeeRate(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2852

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2867

  #### Returns Uint8Array

### setCustomTxFeeRate

- setCustomTxFeeRate(value: number): TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2856

  #### Parameters

  - ##### value: number

  #### Returns TxFeeRateInfo

### setFeeServiceRate

- setFeeServiceRate(value: number): TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2859

  #### Parameters

  - ##### value: number

  #### Returns TxFeeRateInfo

### setLastFeeServiceRequestTs

- setLastFeeServiceRequestTs(value: number): TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2862

  #### Parameters

  - ##### value: number

  #### Returns TxFeeRateInfo

### setMinFeeServiceRate

- setMinFeeServiceRate(value: number): TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2865

  #### Parameters

  - ##### value: number

  #### Returns TxFeeRateInfo

### setUseCustomTxFeeRate

- setUseCustomTxFeeRate(value: boolean): TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2853

  #### Parameters

  - ##### value: boolean

  #### Returns TxFeeRateInfo

### toObject

- toObject(includeInstance?: boolean): TxFeeRateInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2868

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TxFeeRateInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2871

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TxFeeRateInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TxFeeRateInfo, reader: BinaryReader): TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2872

  #### Parameters

  - ##### message: TxFeeRateInfo

  - ##### reader: BinaryReader

  #### Returns TxFeeRateInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TxFeeRateInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2870

  #### Parameters

  - ##### message: TxFeeRateInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TxFeeRateInfo ): TxFeeRateInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2869

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TxFeeRateInfo

  #### Returns TxFeeRateInfo . AsObject

Generated using TypeDoc